Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/running/calendar \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/running/calendar', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/running/calendar" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "year": 2026, "data": [ { "date": "2026-03-01", "count": 1, "total_distance_mi": 5.2 }, { "date": "2026-03-03", "count": 1, "total_distance_mi": 4.1 }, { "date": "2026-03-05", "count": 1, "total_distance_mi": 6.8 } ] }
{ "error": "Not found", "status": 404 }
Returns daily activity heatmap data for a given year.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Calendar data
Show child attributes